Component({
  properties: {
    number: {
      type: Number,
      value: 0
    }
  },
  data: {
    integerPart: '',
    decimalPart: ''
  },
  observers: {
    number(newVal) {
      const amountStr = newVal.toFixed(2)
      const [integerPart, decimalPart] = amountStr.split('.');
      this.setData({
        integerPart,
        decimalPart
      });
    }
  }
})