// pages/download/download.ts
Page({

  /**
   * 页面的初始数据
   */
  data: {
    isIOS: false,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad() {
    const wxDeviceInfo = wx.getDeviceInfo()
    const isAndroid = wxDeviceInfo.platform === 'android' || wxDeviceInfo.platform === 'devtools'
    this.setData({
      isIOS: !isAndroid
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },
  onDownload() {
    wx.downloadFile({
      url: 'https://oss.dayaedu.com/ktyq/1733293069841.png',
      success: (res) => {
        wx.saveImageToPhotosAlbum({
          filePath: res.tempFilePath,
          success: () => { 
            wx.showToast({
              title: '保存成功',
              icon: 'success',
            });
          },
          fail: () => {
            wx.showToast({
              title: '保存失败',
              icon: 'none',
            });
          }
        })
      }
    })
  },
  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {
    return {
      title: '乐迷器乐AI',
      path: '/pages/index/index',
      imageUrl: 'https://oss.dayaedu.com/ktyq/1739773011143.png'
    }
  }
})